### Method

# Gtk PrintJob get_page_ranges

#### Declaration [src]

    GtkPageRange*
    gtk_print_job_get_page_ranges (
      GtkPrintJob* job,
      int* n_ranges
    )

#### Description [src]

Gets the page ranges for this job.

#### Parameters

`n_ranges`

  Type: `int*`

  Return location for the number of ranges.

  The argument will be set by the function.

#### Return value

Type: An array of `GtkPageRange`

A pointer to an array of `GtkPageRange` structs.

The length of the array is in the `n_ranges` argument.
The returned data is owned by the instance.